package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrContentModel;

/**
 * 开车条件确认模板Mapper接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrContentModelMapper 
{
    /**
     * 查询开车条件确认模板
     * 
     * @param id 开车条件确认模板ID
     * @return 开车条件确认模板
     */
    public TPssrContentModel selectTPssrContentModelById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询开车条件确认模板列表
     * 
     * @param tPssrContentModel 开车条件确认模板
     * @return 开车条件确认模板集合
     */
    
    public List<TPssrContentModel> selectTPssrContentModelList(TPssrContentModel tPssrContentModel);

    /**
     * 新增开车条件确认模板
     * 
     * @param tPssrContentModel 开车条件确认模板
     * @return 结果
     */
    public int insertTPssrContentModel(TPssrContentModel tPssrContentModel);

    /**
     * 修改开车条件确认模板
     * 
     * @param tPssrContentModel 开车条件确认模板
     * @return 结果
     */
    public int updateTPssrContentModel(TPssrContentModel tPssrContentModel);

    /**
     * 删除开车条件确认模板
     * 
     * @param id 开车条件确认模板ID
     * @return 结果
     */
    public int deleteTPssrContentModelById(Long id);

    /**
     * 批量删除开车条件确认模板
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrContentModelByIds(Long[] ids);
}
